Skip to content
WP EngineDocumentation

Add a new SSH key

POST
/ssh_keys
curl --request POST \
--url https://api.wpengineapi.com/v1/ssh_keys \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "public_key": "ssh-rsa AAAAbcdefg+567te/4i9ASKGHtw9euaskl+Iksldfjw== joe@gmail.com" }'

Description

Use this to add a new SSH key to WP Engine.

Properties
  • public_key - required - The public key you want to add
Media typeapplication/json
object
public_key
required
string
Example
ssh-rsa AAAAbcdefg+567te/4i9ASKGHtw9euaskl+Iksldfjw== joe@gmail.com

Created

Media typeapplication/json
object
comment
string
created_at
string
fingerprint
string
uuid
string format: uuid
Example
{
"comment": "joe@gmail.com",
"created_at": "2019-09-01T15:59:24.277Z",
"fingerprint": "a1:b2:c3:d4:e5:46:a7:88:c9:40:d2:d7:9b:cd:42:05",
"uuid": "e41fa98f-ea80-1f16-a7b7-d748bcc9e64d"
}

Bad Request

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Too many requests

Media typeapplication/json

Service unavailable

Media typeapplication/json